# RenewDisk

## 1. API Description

This API (RenewDisk) is used to Restores a cloud disk that is in the recycle bin, making it available again. Only disks within the retention period can be restored; resources are permanently destroyed after the period expires.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Operations on boot disks are not supported</mark>
* <mark style="color:blue;">Please ensure that the account balance is sufficient when renewing.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description |
| -------------- | -------- | ------ | ----------- |
| diskId         | Yes      | String | Disk ID.    |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Restore a disk.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: RenewDisk
<Common Request Params>

Request:
{
  "diskId": "your-disk-id"
}

Response:
{
  "requestId": "TE742A21A-C449-41AF-8853-1B62A93AA4E5",
  "response": {
    "requestId": "TE742A21A-C449-41AF-8853-1B62A93AA4E5"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                            | Description                                                   |
| ---------------- | ------------------------------------- | ------------------------------------------------------------- |
| 404              | INVALID\_DISK\_NOT\_FOUND             | Disk does not exist.                                          |
| 400              | OPERATION\_DENIED\_DISK\_SYSTEM\_TYPE | The operation is not supported for system disks.              |
| 400              | UNSUPPORTED\_OPERATION\_DISK\_STATUS  | Operations on the disk with current status are not supported. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/disk/renewdisk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
